#
# Project created by QtCreator 2011-09-20T08:15:30
#
#-------------------------------------------------

CONFIG += socexplorerplugin
QT += network webkit
greaterThan(QT_MAJOR_VERSION, 4): QT += webkitwidgets

win32:CONFIG += dll
win32:CONFIG -= static
TARGET = spwplugin
DEFINES += PLUGIN=spwplugin
DEFINES += PLUGINHEADER="\"\\\"spwplugin.h"\\\"\"
DEFINES += driver_Name="\"\\\"SpwPlugin"\\\"\"
DEFINES += driver_Author="\"\\\"Alexis Jeandet alexis.jeandet@member.fsf.org"\\\"\"
DEFINES += driver_Version="\"\\\"0.0.1"\\\"\"
DEFINES += driver_Description="\"\\\"Driver description"\\\"\"
DEFINES += driver_can_be_root=1
DEFINES += driver_can_be_child=0
DEFINES += driver_VID=0
DEFINES += driver_PID=0

STARTDUNDEEPATH=/home/spacewire/usb/spw_usb_driver_v2.68/

LIBS += $$STARTDUNDEEPATH/lib/x86_64/libSpaceWireUSBAPI.so \
    $$STARTDUNDEEPATH/lib/x86_64/libConfigLibraryUSB.so

INCLUDEPATH += \
        $${PWD} \
        $$STARTDUNDEEPATH/inc \
        StarDundee \
        GR-ESB

HEADERS += \
    spwplugin.h \
    StarDundee/stardundeespw_usb.h \
    abstractspwbridge.h \
    spw.h \
    StarDundee/stardundeegui.h \
    SpwTcpPacketServer/spwtcppacketserver.h \
    spwpywrapper.h \
    GR-ESB/gr_esb_bridge.h \
    GR-ESB/gr_esb_ui.h \
    incomingtcparser.h


SOURCES += \
    spwplugin.cpp \ 
    StarDundee/stardundeespw_usb.cpp \
    abstractspwbridge.cpp \
    StarDundee/stardundeegui.cpp \
    SpwTcpPacketServer/spwtcppacketserver.cpp \
    spwpywrapper.cpp \
    GR-ESB/gr_esb_bridge.cpp \
    GR-ESB/gr_esb_ui.cpp \
    incomingtcparser.cpp

FORMS += \
    StarDundee/stardundeeGUI.ui \
    SpwTcpPacketServer/spwtcppacketserver.ui \
    GR-ESB/gr_esb_ui.ui

RESOURCES += \
    spwRessources.qrc
























